Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 1834)
+++ inc/admin/lib.dc.page.php	(revision 1836)
@@ -482,5 +482,6 @@
 	{
 		$mute_or_no = '';
-		if (!empty($GLOBALS['core']->blog->settings->system->jquery_migrate_mute)) {
+		if (!empty($GLOBALS['core']->blog->settings->system->jquery_migrate_mute) // for initial setting
+			|| $GLOBALS['core']->blog->settings->system->jquery_migrate_mute) {
 			$mute_or_no .=
 				'<script type="text/javascript">'."\n".
Index: locales/_pot/main.pot
===================================================================
--- locales/_pot/main.pot	(revision 1832)
+++ locales/_pot/main.pot	(revision 1836)
@@ -3001,8 +3001,4 @@
 msgstr ""
 
-#: inc/admin/lib.dc.page.php:469
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 #: inc/admin/lib.dc.page.php:471
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
Index: locales/bn/main.po
===================================================================
--- locales/bn/main.po	(revision 1832)
+++ locales/bn/main.po	(revision 1836)
@@ -2198,7 +2198,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/ca/main.po
===================================================================
--- locales/ca/main.po	(revision 1832)
+++ locales/ca/main.po	(revision 1836)
@@ -2278,7 +2278,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/cs/main.po
===================================================================
--- locales/cs/main.po	(revision 1832)
+++ locales/cs/main.po	(revision 1836)
@@ -2201,7 +2201,4 @@
 msgstr "Jsou tam XHTML chyby.."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/da/main.po
===================================================================
--- locales/da/main.po	(revision 1832)
+++ locales/da/main.po	(revision 1836)
@@ -2209,7 +2209,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/de/main.po
===================================================================
--- locales/de/main.po	(revision 1832)
+++ locales/de/main.po	(revision 1836)
@@ -2201,7 +2201,4 @@
 msgstr "Es gibt XHTML-Markup-Fehler."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr "Du hast Änderungen nicht gespeichert. Wenn du das Format des Eintrags änderst, gehen die Änderungen verloren. Trotzdem fortfahren?"
Index: locales/en/main.po
===================================================================
--- locales/en/main.po	(revision 1832)
+++ locales/en/main.po	(revision 1836)
@@ -2161,7 +2161,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/eo/main.po
===================================================================
--- locales/eo/main.po	(revision 1832)
+++ locales/eo/main.po	(revision 1836)
@@ -2148,7 +2148,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/es-ar/main.po
===================================================================
--- locales/es-ar/main.po	(revision 1832)
+++ locales/es-ar/main.po	(revision 1836)
@@ -2216,7 +2216,4 @@
 msgstr "Hay errores en el lenguaje de marcas XHTML."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/es/main.po
===================================================================
--- locales/es/main.po	(revision 1832)
+++ locales/es/main.po	(revision 1836)
@@ -2221,7 +2221,4 @@
 msgstr "Hay errores en las etiquetas XHTML."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/eu/main.po
===================================================================
--- locales/eu/main.po	(revision 1832)
+++ locales/eu/main.po	(revision 1836)
@@ -2148,7 +2148,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/hu/main.po
===================================================================
--- locales/hu/main.po	(revision 1832)
+++ locales/hu/main.po	(revision 1836)
@@ -2257,7 +2257,4 @@
 msgstr "Vannak hibák az XHTML kódban."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/it/main.po
===================================================================
--- locales/it/main.po	(revision 1832)
+++ locales/it/main.po	(revision 1836)
@@ -2200,7 +2200,4 @@
 msgstr "Sono stati trovati degli errori XHTML."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/ja/main.po
===================================================================
--- locales/ja/main.po	(revision 1832)
+++ locales/ja/main.po	(revision 1836)
@@ -2230,7 +2230,4 @@
 msgstr "XHTMLマークアップエラーがあります。"
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/ko/main.po
===================================================================
--- locales/ko/main.po	(revision 1832)
+++ locales/ko/main.po	(revision 1836)
@@ -2230,7 +2230,4 @@
 msgstr "XHTML 오류가 있습니다."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/lt/main.po
===================================================================
--- locales/lt/main.po	(revision 1832)
+++ locales/lt/main.po	(revision 1836)
@@ -2010,7 +2010,4 @@
 msgstr "Yra XHTML markup klaidų."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr "Yra neišsaugotų pakeitimų. Įrašo formato keitimas panaikins visus atnaujinimus. Tęsti?"
Index: locales/nl/main.po
===================================================================
--- locales/nl/main.po	(revision 1832)
+++ locales/nl/main.po	(revision 1836)
@@ -2162,7 +2162,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/oc/main.po
===================================================================
--- locales/oc/main.po	(revision 1832)
+++ locales/oc/main.po	(revision 1836)
@@ -2181,7 +2181,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/pl/main.po
===================================================================
--- locales/pl/main.po	(revision 1832)
+++ locales/pl/main.po	(revision 1836)
@@ -2174,7 +2174,4 @@
 msgstr "Wystąpiły błędy składni XHTML."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr "Niektóre zmiany nie zostały zachowane. Zmiana formatu wpisu spowoduje że zostaną utracone. Kontynuować?"
Index: locales/pt-br/main.po
===================================================================
--- locales/pt-br/main.po	(revision 1832)
+++ locales/pt-br/main.po	(revision 1836)
@@ -2297,7 +2297,4 @@
 msgstr "Têm erros no XHTML."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/pt/main.po
===================================================================
--- locales/pt/main.po	(revision 1832)
+++ locales/pt/main.po	(revision 1836)
@@ -2208,7 +2208,4 @@
 msgstr "O código XHTML contem erros."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/ro/main.po
===================================================================
--- locales/ro/main.po	(revision 1832)
+++ locales/ro/main.po	(revision 1836)
@@ -2159,7 +2159,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/ru/main.po
===================================================================
--- locales/ru/main.po	(revision 1832)
+++ locales/ru/main.po	(revision 1836)
@@ -2201,7 +2201,4 @@
 msgstr "В разметке XHTML есть ошибки."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr "Вы не сохранили изменения. Переключение формата поста  приведет к потере этих изменений. Продолжить?"
Index: locales/sr/main.po
===================================================================
--- locales/sr/main.po	(revision 1832)
+++ locales/sr/main.po	(revision 1836)
@@ -2243,7 +2243,4 @@
 msgstr "Il y a des erreurs XHTML."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr "Attention : la vérification porte sur un contenu non encore enregistré."
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/sv/main.po
===================================================================
--- locales/sv/main.po	(revision 1832)
+++ locales/sv/main.po	(revision 1836)
@@ -2148,7 +2148,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/te/main.po
===================================================================
--- locales/te/main.po	(revision 1832)
+++ locales/te/main.po	(revision 1836)
@@ -2227,7 +2227,4 @@
 msgstr ""
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/tr/main.po
===================================================================
--- locales/tr/main.po	(revision 1832)
+++ locales/tr/main.po	(revision 1836)
@@ -2204,7 +2204,4 @@
 msgstr "XHTML markup hataları var."
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""
Index: locales/zh-cn/main.po
===================================================================
--- locales/zh-cn/main.po	(revision 1832)
+++ locales/zh-cn/main.po	(revision 1836)
@@ -2207,7 +2207,4 @@
 msgstr "这是 XHTML 标记的错误。"
 
-msgid "Attention: an audit of a content not yet registered."
-msgstr ""
-
 msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
 msgstr ""