Index: locales/ja/date.po
===================================================================
--- locales/ja/date.po	(revision 0)
+++ locales/ja/date.po	(revision 221)
@@ -14,4 +14,5 @@
 "Last-Translator: Takafumi <jp.drupal@imagine **reverse order**>\n"
 "Language-Team: Dotclear Japan\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
Index: locales/ja/main.po
===================================================================
--- locales/ja/main.po	(revision 0)
+++ locales/ja/main.po	(revision 221)
@@ -10,8 +10,9 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-06-23 21:37+0200\n"
+"POT-Creation-Date: 2011-05-08 18:35+0200\n"
 "PO-Revision-Date: 2008-11-24 00:00+0900\n"
 "Last-Translator: Takafumi <jp.drupal@imagine **reverse order**>\n"
 "Language-Team: Dotclear Japan\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -62,4 +63,8 @@
 msgstr ""
 
+#, fuzzy
+msgid "Safe Mode can only be used for super administrators."
+msgstr "あなたは最高管理者ではありません。"
+
 msgid "Wrong username or password"
 msgstr "ユーザ名またはパスワードが間違っています"
@@ -90,16 +95,35 @@
 msgstr "キャンセル"
 
+msgid "Safe mode login"
+msgstr ""
+
+msgid "This mode allows you to login without activating any of your plugins. This may be useful to solve compatibility problems"
+msgstr ""
+
+msgid "Disable or delete any plugin suspected to cause trouble, then log out and log back in normally."
+msgstr ""
+
 msgid "Remember my ID on this computer"
 msgstr "次回から入力を省略"
 
-msgid "login"
-msgstr "ログイン"
+#, fuzzy
+msgid "log in"
+msgstr "ブログ名"
 
 msgid "You must accept cookies in order to use the private area."
 msgstr "プライベートエリアを使用するために、クッキーを受け入れる必要があります。"
 
+msgid "Get back to normal authentication"
+msgstr ""
+
+msgid "Connection issue?"
+msgstr ""
+
 msgid "I forgot my password"
 msgstr "パスワードの再発行"
 
+msgid "I want to log in in safe mode"
+msgstr ""
+
 msgid "New blog"
 msgstr "新規ブログ"
@@ -132,5 +156,5 @@
 msgstr "ブログの説明："
 
-msgid "save"
+msgid "Save"
 msgstr "保存"
 
@@ -213,5 +237,5 @@
 msgstr ""
 
-msgid "Warning: except for special configurations, it is generally advised to have a trailing \"?\" in your blog URL in when QUERY_STRING mode."
+msgid "Warning: except for special configurations, it is generally advised to have a trailing \"?\" in your blog URL in QUERY_STRING mode."
 msgstr ""
 
@@ -518,6 +542,7 @@
 msgstr "ブログ / ページ"
 
-msgid "filter"
-msgstr "絞り込み"
+#, fuzzy
+msgid "Apply filters"
+msgstr "ファイルの追加"
 
 msgid "No blog"
@@ -594,7 +619,4 @@
 msgstr "最上位"
 
-msgid "Save"
-msgstr "保存"
-
 msgid "Remove a category"
 msgstr "カテゴリの削除"
@@ -647,4 +669,8 @@
 msgid "before"
 msgstr "前へ"
+
+#, fuzzy
+msgid "position: "
+msgstr "MP3 の配置"
 
 msgid "Entry does not exist."
@@ -708,62 +734,69 @@
 msgstr "コメント："
 
+msgid "Delete"
+msgstr "削除"
+
+msgid "comment"
+msgstr "コメント"
+
+msgid "trackback"
+msgstr "トラックバック"
+
+msgid "Date"
+msgstr "日付"
+
+msgid "Entry title"
+msgstr "エントリのタイトル"
+
+msgid "Author"
+msgstr "投稿者"
+
+msgid "publish"
+msgstr "掲載"
+
+msgid "unpublish"
+msgstr "非掲載"
+
+msgid "mark as pending"
+msgstr "保留に指定"
+
+msgid "mark as junk"
+msgstr "ジャンクに指定"
+
 msgid "delete"
 msgstr "削除"
 
-msgid "comment"
-msgstr "コメント"
-
-msgid "trackback"
-msgstr "トラックバック"
-
-msgid "Date"
-msgstr "日付"
-
-msgid "Entry title"
-msgstr "エントリのタイトル"
-
-msgid "Author"
-msgstr "投稿者"
-
-msgid "publish"
-msgstr "掲載"
-
-msgid "unpublish"
-msgstr "非掲載"
-
-msgid "mark as pending"
-msgstr "保留に指定"
-
-msgid "mark as junk"
-msgstr "ジャンクに指定"
+msgid "Type:"
+msgstr "タイプ："
+
+msgid "Comments per page"
+msgstr "コメント / ページ"
+
+msgid "Comment author:"
+msgstr "コメントの投稿者："
+
+msgid "You have one spam comments."
+msgstr "1 のスパムコメントがあります。"
+
+msgid "Show it."
+msgstr "それを表示する。"
+
+#, php-format
+msgid "You have %s spam comments."
+msgstr "%s のスパムコメントがあります。"
+
+msgid "Show them."
+msgstr "それらを表示する。"
+
+msgid "Selected comments action:"
+msgstr "選択されたコメントに実行："
+
+#, fuzzy
+msgid "action: "
+msgstr "操作"
 
 msgid "Comments"
 msgstr "コメント"
 
-msgid "Type:"
-msgstr "タイプ："
-
-msgid "Comments per page"
-msgstr "コメント / ページ"
-
-msgid "Comment author:"
-msgstr "コメントの投稿者："
-
-msgid "You have one spam comments."
-msgstr "1 のスパムコメントがあります。"
-
-msgid "Show it."
-msgstr "それを表示する。"
-
-#, php-format
-msgid "You have %s spam comments."
-msgstr "%s のスパムコメントがあります。"
-
-msgid "Show them."
-msgstr "それらを表示する。"
-
-msgid "Selected comments action:"
-msgstr "選択されたコメントに実行："
-
 #, php-format
 msgid "%d comment"
@@ -777,8 +810,10 @@
 msgstr "新規エントリ"
 
-msgid "User preferences"
+#, fuzzy
+msgid "My preferences"
 msgstr "ユーザの環境設定"
 
-msgid "Documentation"
+#, fuzzy
+msgid "Documentation and support"
 msgstr "ドキュメント"
 
@@ -807,4 +842,21 @@
 msgstr "以下のプラグインはインストールされませんでした："
 
+#, php-format
+msgid "Dotclear %s is available!"
+msgstr "Dotclear %s が入手可能です！"
+
+msgid "Upgrade now"
+msgstr "ただちにアップグレード"
+
+msgid "Remind me later"
+msgstr "後で再度知らせる"
+
+msgid "information about this version"
+msgstr ""
+
+#, fuzzy
+msgid "Some plugins are installed twice:"
+msgstr "以下のプラグインがインストールされました："
+
 msgid "Quick entry"
 msgstr "クイックエントリ"
@@ -818,18 +870,4 @@
 msgid "save and publish"
 msgstr "保存して掲載"
-
-#, php-format
-msgid "Dotclear %s is available!"
-msgstr "Dotclear %s が入手可能です！"
-
-msgid "Upgrade now"
-msgstr "ただちにアップグレード"
-
-msgid "Remind me later"
-msgstr "後で再度知らせる"
-
-#, fuzzy
-msgid "Some plugins are installed twice:"
-msgstr "以下のプラグインがインストールされました："
 
 #, php-format
@@ -916,4 +954,12 @@
 
 #, fuzzy
+msgid "Pages"
+msgstr "ページ"
+
+#, fuzzy
+msgid "Blogroll"
+msgstr "ブログ"
+
+#, fuzzy
 msgid "Dotclear Install"
 msgstr "Dotclear のインストール"
@@ -953,4 +999,7 @@
 msgstr "ユーザ名またはパスワードが間違っています"
 
+msgid "save"
+msgstr "保存"
+
 msgid "All done!"
 msgstr "すべて完了しました！"
@@ -1071,7 +1120,4 @@
 msgstr "操作"
 
-msgid "Delete"
-msgstr "削除"
-
 msgid "Install or upgrade languages"
 msgstr "言語のインストール／アップグレード"
@@ -1181,4 +1227,7 @@
 msgstr "ファイルの追加"
 
+msgid "Please take care to publish media that you own and that are not protected by copyright."
+msgstr "あなたが所有し、著作権によって保護されていないメディアを公開するように気をつけてください。"
+
 msgid "Choose a file:"
 msgstr "ファイルを選択："
@@ -1194,7 +1243,4 @@
 msgstr "送信"
 
-msgid "Please take care to publish media that you own and that are not protected by copyright."
-msgstr "あなたが所有し、著作権によって保護されていないメディアを公開するように気をつけてください。"
-
 msgid "New directory"
 msgstr "新規ディレクトリ"
@@ -1399,4 +1445,8 @@
 msgstr "パーミッションを設定"
 
+#, fuzzy
+msgid "select"
+msgstr "イチ押し"
+
 msgid "No content found on this plugin."
 msgstr "このプラグインのコンテンツは見つかりませんでした。"
@@ -1499,4 +1549,8 @@
 msgstr "リンクのURL："
 
+#, fuzzy
+msgid "Link title:"
+msgstr "ファイルのタイトル："
+
 msgid "Link language:"
 msgstr "リンクの言語："
@@ -1622,4 +1676,12 @@
 msgstr "ジャンク"
 
+#, fuzzy
+msgid "select this comment"
+msgstr "このコメントを編集"
+
+#, fuzzy
+msgid "select this trackback"
+msgstr "トラックバックを許可"
+
 msgid "Edit this comment"
 msgstr "このコメントを編集"
@@ -1718,7 +1780,40 @@
 msgstr "個人情報は正常に更新されました。"
 
+#, fuzzy
+msgid "Personal options has been successfully updated."
+msgstr "個人情報は正常に更新されました。"
+
+#, fuzzy
+msgid "Favorites have been successfully added."
+msgstr "ファイルは正常にアップロードされました。"
+
+#, fuzzy
+msgid "Favorites have been successfully updated."
+msgstr "ファイルは正常に更新されました。"
+
+#, fuzzy
+msgid "Favorites have been successfully removed."
+msgstr "ファイルは正常に削除されました。"
+
+#, fuzzy
+msgid "Default favorites have been successfully updated."
+msgstr "サムネイルは正常に更新されました。"
+
+msgid "My profile"
+msgstr ""
+
 msgid "Display name:"
 msgstr "表示名："
 
+msgid "User language:"
+msgstr "ユーザの言語："
+
+msgid "User timezone:"
+msgstr "ユーザのタイムゾーン："
+
+#, fuzzy
+msgid "My options"
+msgstr "検索オプション"
+
 msgid "Preferred format:"
 msgstr "優先書式"
@@ -1730,13 +1825,72 @@
 msgstr "エントリ編集フィールドの高さ"
 
-msgid "User language:"
-msgstr "ユーザの言語："
-
-msgid "User timezone:"
-msgstr "ユーザのタイムゾーン："
-
 msgid "Enable WYSIWYG mode"
 msgstr "WYSIWYG モードの有効化"
 
+msgid "Accessibility options"
+msgstr ""
+
+msgid "Disable javascript powered drag and drop for ordering items"
+msgstr ""
+
+msgid "Numeric fields will allow to type the elements' ordering number."
+msgstr ""
+
+#, fuzzy
+msgid "Dashboard modules"
+msgstr "ダッシュボード"
+
+#, fuzzy
+msgid "Display documentation links"
+msgstr "ドキュメント"
+
+#, fuzzy
+msgid "Display Dotclear news"
+msgstr "Dotclear をアップデート"
+
+msgid "Display quick entry form"
+msgstr ""
+
+msgid "My favorites"
+msgstr ""
+
+#, php-format
+msgid "position of %s"
+msgstr ""
+
+#, fuzzy
+msgid "Save order"
+msgstr "並び替え"
+
+#, fuzzy
+msgid "Delete selected favorites"
+msgstr "選択したファイルを削除"
+
+#, fuzzy
+msgid "Are you sure you want to remove selected favorites?"
+msgstr "本当に、カテゴリ \"%s\" を削除してもよろしいですか？"
+
+msgid "If you are a super administrator, you may define this set of favorites to be used by default on all blogs of this installation:"
+msgstr ""
+
+msgid "Define as default favorites"
+msgstr ""
+
+msgid "Currently no personal favorites."
+msgstr ""
+
+msgid "Default favorites"
+msgstr ""
+
+msgid "Those favorites are displayed when My Favorites list is empty."
+msgstr ""
+
+#, fuzzy
+msgid "Available favorites"
+msgstr "利用可能なサイズ："
+
+msgid "Add to my favorites"
+msgstr ""
+
 msgid "Search"
 msgstr "検索"
@@ -1930,6 +2084,9 @@
 msgstr "ブログ："
 
-msgid "View site"
-msgstr "サイトを表示"
+msgid "Go to site"
+msgstr ""
+
+msgid "new window"
+msgstr ""
 
 msgid "User:"
@@ -1939,4 +2096,10 @@
 msgstr "ログアウト"
 
+msgid "Safe mode"
+msgstr ""
+
+msgid "You are in safe mode. All plugins have been temporarily disabled. Remind to log out then log in again normally to get back all functionalities"
+msgstr ""
+
 #, php-format
 msgid "Thank you for using %s."
@@ -1955,5 +2118,6 @@
 msgstr "ヘルプ"
 
-msgid "No selection"
+#, fuzzy
+msgid "no selection"
 msgstr "選択されていません"
 
@@ -2037,4 +2201,7 @@
 msgstr "XHTMLマークアップエラーがあります。"
 
+msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
+msgstr ""
+
 msgid "You have unsaved changes."
 msgstr "保存されていない変更があります。"
@@ -2225,4 +2392,7 @@
 msgstr ""
 
+msgid "Languages"
+msgstr "言語"
+
 msgid "System"
 msgstr "システム"
@@ -2234,110 +2404,4 @@
 msgstr "アップデート"
 
-msgid "Languages"
-msgstr "言語"
-
-msgid "Unable to open directory."
-msgstr "ディレクトが開けません。"
-
-msgid "Unable to create directory."
-msgstr "ディレクトリが作成できません。"
-
-msgid "File is not writable."
-msgstr "ファイルが書き込み可能ではありません。"
-
-msgid "Unable to open file."
-msgstr "ファイルが開けません。"
-
-msgid "Not an uploaded file."
-msgstr "アップロードされたファイルではありません。"
-
-msgid "The uploaded file exceeds the maximum file size allowed."
-msgstr "アップロードされたファイルは、許可される最大サイズを超過します。"
-
-msgid "The uploaded file was only partially uploaded."
-msgstr "アップロードされたファイルは、一部分のみがアップロードされました。"
-
-msgid "No file was uploaded."
-msgstr "ファイルはアップロードされませんでした。"
-
-msgid "Missing a temporary folder."
-msgstr "一時フォルダが見あたりません。"
-
-msgid "Failed to write file to disk."
-msgstr "ディスクへのファイルの書き込みに失敗しました。"
-
-#, php-format
-msgid "%s is not a directory."
-msgstr "%s はディレクトリではありません。"
-
-msgid "Uploading this file is not allowed."
-msgstr "このファイルのアップロードは許可されません。"
-
-msgid "Destination directory is not in jail."
-msgstr "対象ディレクトリが有効アクセス範囲内にありません。"
-
-#, fuzzy
-msgid "File already exists."
-msgstr "新しいファイルはすでに存在します。"
-
-msgid "Cannot write in this directory."
-msgstr "このディレクトリへの書き込みができません。"
-
-msgid "An error occurred while writing the file."
-msgstr "ファイルの書き込み中にエラーが発生しました。"
-
-msgid "Source file does not exist."
-msgstr "ソースファイルが存在しません。"
-
-msgid "File is not in jail."
-msgstr "ファイルが有効アクセス範囲内にありません。"
-
-msgid "Destination directory is not writable."
-msgstr "対象ディレクトリが書き込み可能ではありません。"
-
-msgid "Unable to rename file."
-msgstr "ファイル名の変更ができません。"
-
-msgid "File cannot be removed."
-msgstr "ファイルを削除することができません。"
-
-msgid "Directory is not in jail."
-msgstr "ディレクトリが有効アクセス範囲内にありません。"
-
-msgid "Directory cannot be removed."
-msgstr "ディレクトリを削除することができません。"
-
-msgid "Not enough memory to open image."
-msgstr "画像を開くのに十分なメモリがありません。"
-
-#, php-format
-msgid "File %s is not compressed in the zip."
-msgstr "ファイル %s はzipで圧縮されていません。"
-
-#, php-format
-msgid "Trying to unzip a folder name %s"
-msgstr "フォルダ名 %s のzip展開を試行しています"
-
-msgid "Unable to write destination file."
-msgstr "対象ファイルに書き込むことができません。"
-
-msgid "Unable to write in target directory, permission denied."
-msgstr "アクセスが許可されていないため、対象ディレクトリに書き込むことができません。"
-
-msgid "Not enough memory to open file."
-msgstr "ファイルを開くのに十分なメモリがありません。"
-
-msgid "File does not exist"
-msgstr "ファイルが存在しません"
-
-msgid "Cannot read file"
-msgstr "ファイルが読み込めません"
-
-msgid "Directory does not exist"
-msgstr "ディレクトリが存在しません"
-
-msgid "Cannot read directory"
-msgstr "ディレクトリが読み込めません"
-
 msgid "administrator"
 msgstr "管理者"
@@ -2501,4 +2565,8 @@
 msgid "You are not the file owner."
 msgstr "あなたはファイルの所有者ではありません。"
+
+#, fuzzy
+msgid "This file is not allowed."
+msgstr "このファイルのアップロードは許可されません。"
 
 msgid "New file already exists."
@@ -2565,4 +2633,8 @@
 
 #, fuzzy
+msgid "Unable to retrieve workspaces:"
+msgstr "設定を取り出すことができません："
+
+#, fuzzy
 msgid "Unable to retrieve namespaces:"
 msgstr "設定を取り出すことができません："
@@ -2618,4 +2690,20 @@
 msgstr "無効なダイジェストファイルです。"
 
+#, fuzzy, php-format
+msgid "Invalid dcWorkspace: %s"
+msgstr "無効なネームスペースの設定です： %s"
+
+#, fuzzy
+msgid "Unable to retrieve prefs:"
+msgstr "設定を取り出すことができません："
+
+#, fuzzy, php-format
+msgid "%s is not a valid pref id"
+msgstr "%s は不正な設定IDです"
+
+#, fuzzy
+msgid "No workspace specified"
+msgstr "ネームスペースが指定されていません"
+
 msgid "SQLite Database Schema cannot be upgraded."
 msgstr "SQLite のデータベーススキーマはアップグレードすることができません。"
@@ -2624,4 +2712,107 @@
 msgstr "自動アップグレードで何か誤りがありました："
 
+msgid "Unable to open directory."
+msgstr "ディレクトが開けません。"
+
+msgid "Unable to create directory."
+msgstr "ディレクトリが作成できません。"
+
+msgid "File is not writable."
+msgstr "ファイルが書き込み可能ではありません。"
+
+msgid "Unable to open file."
+msgstr "ファイルが開けません。"
+
+msgid "Not an uploaded file."
+msgstr "アップロードされたファイルではありません。"
+
+msgid "The uploaded file exceeds the maximum file size allowed."
+msgstr "アップロードされたファイルは、許可される最大サイズを超過します。"
+
+msgid "The uploaded file was only partially uploaded."
+msgstr "アップロードされたファイルは、一部分のみがアップロードされました。"
+
+msgid "No file was uploaded."
+msgstr "ファイルはアップロードされませんでした。"
+
+msgid "Missing a temporary folder."
+msgstr "一時フォルダが見あたりません。"
+
+msgid "Failed to write file to disk."
+msgstr "ディスクへのファイルの書き込みに失敗しました。"
+
+#, php-format
+msgid "%s is not a directory."
+msgstr "%s はディレクトリではありません。"
+
+msgid "Uploading this file is not allowed."
+msgstr "このファイルのアップロードは許可されません。"
+
+msgid "Destination directory is not in jail."
+msgstr "対象ディレクトリが有効アクセス範囲内にありません。"
+
+#, fuzzy
+msgid "File already exists."
+msgstr "新しいファイルはすでに存在します。"
+
+msgid "Cannot write in this directory."
+msgstr "このディレクトリへの書き込みができません。"
+
+msgid "An error occurred while writing the file."
+msgstr "ファイルの書き込み中にエラーが発生しました。"
+
+msgid "Source file does not exist."
+msgstr "ソースファイルが存在しません。"
+
+msgid "File is not in jail."
+msgstr "ファイルが有効アクセス範囲内にありません。"
+
+msgid "Destination directory is not writable."
+msgstr "対象ディレクトリが書き込み可能ではありません。"
+
+msgid "Unable to rename file."
+msgstr "ファイル名の変更ができません。"
+
+msgid "File cannot be removed."
+msgstr "ファイルを削除することができません。"
+
+msgid "Directory is not in jail."
+msgstr "ディレクトリが有効アクセス範囲内にありません。"
+
+msgid "Directory cannot be removed."
+msgstr "ディレクトリを削除することができません。"
+
+msgid "Not enough memory to open image."
+msgstr "画像を開くのに十分なメモリがありません。"
+
+#, php-format
+msgid "File %s is not compressed in the zip."
+msgstr "ファイル %s はzipで圧縮されていません。"
+
+#, php-format
+msgid "Trying to unzip a folder name %s"
+msgstr "フォルダ名 %s のzip展開を試行しています"
+
+msgid "Unable to write destination file."
+msgstr "対象ファイルに書き込むことができません。"
+
+msgid "Unable to write in target directory, permission denied."
+msgstr "アクセスが許可されていないため、対象ディレクトリに書き込むことができません。"
+
+msgid "Not enough memory to open file."
+msgstr "ファイルを開くのに十分なメモリがありません。"
+
+msgid "File does not exist"
+msgstr "ファイルが存在しません"
+
+msgid "Cannot read file"
+msgstr "ファイルが読み込めません"
+
+msgid "Directory does not exist"
+msgstr "ディレクトリが存在しません"
+
+msgid "Cannot read directory"
+msgstr "ディレクトリが読み込めません"
+
 msgid "Unable to connect to database"
 msgstr ""
@@ -2633,4 +2824,13 @@
 msgid "The following error was encountered while trying to read the database:"
 msgstr ""
+
+#~ msgid "login"
+#~ msgstr "ログイン"
+
+#~ msgid "filter"
+#~ msgstr "絞り込み"
+
+#~ msgid "View site"
+#~ msgstr "サイトを表示"
 
 #~ msgid "The file <strong>%s</strong> already exists. If you need to reset any of the configuration items in this file, please delete it first or you may <a href=\"%s\">continue to install</a>."
Index: locales/ja/plugins.po
===================================================================
--- locales/ja/plugins.po	(revision 0)
+++ locales/ja/plugins.po	(revision 221)
@@ -10,8 +10,9 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-06-23 21:37+0200\n"
+"POT-Creation-Date: 2011-05-08 18:35+0200\n"
 "PO-Revision-Date: 2008-11-24 00:00+0900\n"
 "Last-Translator: Takafumi <jp.drupal@imagine **reverse order**>\n"
 "Language-Team: Dotclear Japan\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -246,7 +247,4 @@
 msgstr "掲載済みコメントのRSSフィード"
 
-msgid "Blogroll"
-msgstr "ブログロール"
-
 msgid "manage blogroll"
 msgstr "ブログロールの管理"
@@ -396,6 +394,11 @@
 msgstr "言語"
 
-msgid "Save order"
-msgstr "並び順を保存"
+#, fuzzy
+msgid "position"
+msgstr "ページの位置"
+
+#, fuzzy
+msgid "select this link"
+msgstr "このタグを削除"
 
 msgid "Delete selected links"
@@ -448,4 +451,8 @@
 
 #, fuzzy
+msgid "Choose a predefined style"
+msgstr "定義済みのスタイル"
+
+#, fuzzy
 msgid "For the following reasons, images cannot be created. You won't be able to change some background properties."
 msgstr "画像が作成できなかったため、いくつかの背景プロパティは変更できません。"
@@ -632,4 +639,7 @@
 msgstr "以下のコードを使用して、設定を共有することができます。 設定を適用するには、コードをペーストし、「コードを適用」をクリックした後に保存してください。"
 
+msgid "Copy this code:"
+msgstr ""
+
 msgid "default"
 msgstr "デフォルト"
@@ -657,25 +667,4 @@
 msgid "Unable to open image."
 msgstr "画像が開けません。"
-
-msgid "External media"
-msgstr "外部メディア"
-
-msgid "External media selector"
-msgstr "外部メディアセレクタ"
-
-msgid "Supported media services"
-msgstr "対応するメディアサービス"
-
-msgid "Please enter the URL of the page containing the video you want to include in your post."
-msgstr "投稿に含めたいビデオを含んだページのURLを入力してください。"
-
-msgid "Page URL:"
-msgstr "ページのURL："
-
-msgid "Media alignment"
-msgstr "メディアの配置"
-
-msgid "Media title"
-msgstr "メディアのタイトル"
 
 msgid "Checks trackback source for a link to the post"
@@ -986,6 +975,14 @@
 msgstr "ディレクトリを空にする"
 
-msgid "Pages"
-msgstr "ページ"
+msgid "New page"
+msgstr "新しいページ"
+
+#, fuzzy, php-format
+msgid "%d page"
+msgstr "ページの編集"
+
+#, fuzzy, php-format
+msgid "%d pages"
+msgstr "ページの編集"
 
 msgid "manage pages"
@@ -1013,10 +1010,11 @@
 msgstr "ページはありません"
 
+#, fuzzy
+msgid "select this page"
+msgstr "このタグを削除"
+
 msgid "Are you sure you want to delete selected pages?"
 msgstr "本当に、選択されたページを削除してもよろしいですか？"
 
-msgid "New page"
-msgstr "新しいページ"
-
 msgid "Selected pages action:"
 msgstr "選択されたページに実行："
@@ -1263,4 +1261,19 @@
 msgstr "JavaScriptファイル"
 
+#, fuzzy
+msgid "Preferences successfully updated"
+msgstr "ページは正常に更新されました。"
+
+#, fuzzy
+msgid "Preferences definition successfully updated"
+msgstr "設定の定義は正常に更新されました"
+
+msgid "user preferences"
+msgstr ""
+
+#, fuzzy
+msgid "global preferences"
+msgstr "全般の設定"
+
 msgid "Presentation widgets"
 msgstr "プレゼンテーションウィジェット"
@@ -1415,4 +1428,34 @@
 msgstr "ウィジェットの削除"
 
+#~ msgid "Blogroll"
+#~ msgstr "ブログロール"
+
+#~ msgid "Save order"
+#~ msgstr "並び順を保存"
+
+#~ msgid "External media"
+#~ msgstr "外部メディア"
+
+#~ msgid "External media selector"
+#~ msgstr "外部メディアセレクタ"
+
+#~ msgid "Supported media services"
+#~ msgstr "対応するメディアサービス"
+
+#~ msgid "Please enter the URL of the page containing the video you want to include in your post."
+#~ msgstr "投稿に含めたいビデオを含んだページのURLを入力してください。"
+
+#~ msgid "Page URL:"
+#~ msgstr "ページのURL："
+
+#~ msgid "Media alignment"
+#~ msgstr "メディアの配置"
+
+#~ msgid "Media title"
+#~ msgstr "メディアのタイトル"
+
+#~ msgid "Pages"
+#~ msgstr "ページ"
+
 #~ msgid "Unsupported service"
 #~ msgstr "サポートされていないサービスです"
Index: locales/ja/public.po
===================================================================
--- locales/ja/public.po	(revision 0)
+++ locales/ja/public.po	(revision 221)
@@ -14,4 +14,5 @@
 "Last-Translator: Takafumi <jp.drupal@imagine **reverse order**>\n"
 "Language-Team: Dotclear Japan\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -177,4 +178,7 @@
 msgstr "コメント"
 
+msgid "Comments can be formatted using a simple wiki syntax."
+msgstr ""
+
 msgid "HTML code is displayed as text and web addresses are automatically converted."
 msgstr "HTMLコードはテキストとして表示され、ウェブアドレスは自動的に変換されます。"