Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 2166)
+++ admin/blog.php	(revision 2189)
@@ -51,6 +51,6 @@
 		# --BEHAVIOR-- adminAfterBlogCreate
 		$core->callBehavior('adminAfterBlogCreate',$cur,$blog_id,$blog_settings);
-		
-		http::redirect('blog.php?id='.$cur->blog_id.'&add=1');
+		dcPage::addSuccessNotice(sprintf(__('Blog "%s" successfully created'), html::escapeHTML($cur->blog_name)));
+		http::redirect('blog.php?id='.$cur->blog_id);
 	}
 	catch (Exception $e)
Index: admin/blog_del.php
===================================================================
--- admin/blog_del.php	(revision 2166)
+++ admin/blog_del.php	(revision 2189)
@@ -42,5 +42,7 @@
 		try {
 			$core->delBlog($blog_id);
-			http::redirect('blogs.php?del=1');
+			dcPage::addSuccessNotice(sprintf(__('Blog "%s" successfully deleted'), html::escapeHTML($blog_name)));
+
+			http::redirect('blogs.php');
 		} catch (Exception $e) {
 			$core->error->add($e->getMessage());
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 2166)
+++ admin/blog_pref.php	(revision 2189)
@@ -27,5 +27,5 @@
 	
 	$action = 'blog_pref.php';
-	$redir = 'blog_pref.php?upd=1';
+	$redir = 'blog_pref.php';
 }
 else
@@ -56,5 +56,5 @@
 	
 	$action = 'blog.php';
-	$redir = 'blog.php?id=%s&upd=1';
+	$redir = 'blog.php?id=%s';
 }
 
@@ -257,5 +257,6 @@
 			$blog_settings->system->put('url_scan',$_POST['url_scan']);
 		}
-		
+		dcPage::addSuccessNotice(__('Blog has been successfully updated.'));
+
 		http::redirect(sprintf($redir,$blog_id));
 	}
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 2166)
+++ admin/blogs.php	(revision 2189)
@@ -88,5 +88,5 @@
 		array(
 			__('System') => '',
-			__('List of blogs')
+			__('List of blogs') => ''
 		))
 );
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 2166)
+++ admin/categories.php	(revision 2189)
@@ -23,6 +23,8 @@
 	$c = $core->blog->getCategory((integer) $cat_id);
 	if ($c->isEmpty()) {
-		http::redirect('categories.php?unknown=1');
-	}
+		dcPage::addErrorNotice(__('This category does not exist.'));
+		http::redirect('categories.php');
+	}
+	$name = $c->cat_title;
 	unset($c);
 
@@ -30,5 +32,6 @@
 		# Delete category
 		$core->blog->delCategory($cat_id);
-		http::redirect('categories.php?del=1');
+		dcPage::addSuccessNotice(sprintf(__('The category "%s" has been successfully deleted.'),html::escapeHTML($name)));
+		http::redirect('categories.php');
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -50,4 +53,5 @@
 				throw new Exception(__('Category where to move posts does not exist'));
 			}
+			$name = $c->cat_title;
 			unset($c);
 		}
@@ -56,5 +60,7 @@
 			$core->blog->changePostsCategory($cat_id,$mov_cat);
 		}
-		http::redirect('categories.php?move=1');
+		dcPage::addSuccessNotice(sprintf(__('The entries have been successfully moved to category "%s"'),
+			html::escapeHTML($name)));
+		http::redirect('categories.php');
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -81,5 +87,6 @@
 	{
 		$core->blog->resetCategoriesOrder();
-		http::redirect('categories.php?reord=1');
+		dcPage::addSuccessNotice(__('Categories have been successfully reordered.'));
+		http::redirect('categories.php');
 	}
 	catch (Exception $e)
@@ -116,7 +123,4 @@
 if (!empty($_GET['reord'])) {
 	dcPage::success(__('Categories have been successfully reordered.'));
-}
-if (!empty($_GET['unknown'])) {
-	dcPage::error(__('This category does not exist.'));
 }
 if (!empty($_GET['move'])) {
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 2166)
+++ admin/category.php	(revision 2189)
@@ -84,5 +84,6 @@
 		try {
 			$core->blog->setCategoryParent($cat_id,$new_parent);
-			http::redirect('categories.php?moved=1');
+			dcPage::addSuccessNotice(__('The category has been successfully moved'));
+			http::redirect('categories.php');
 		} catch (Exception $e) {
 			$core->error->add($e->getMessage());
@@ -96,5 +97,6 @@
 	try {
 		$core->blog->setCategoryPosition($cat_id,(integer) $_POST['cat_sibling'],$_POST['cat_move']);
-		http::redirect('categories.php?moved=1');
+		dcPage::addSuccessNotice(__('The category has been successfully moved'));
+		http::redirect('categories.php');
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -132,5 +134,7 @@
 			$core->callBehavior('adminAfterCategoryUpdate',$cur,$cat_id);
 			
-			http::redirect('category.php?id='.$_POST['id'].'&upd=1');
+			dcPage::addSuccessNotice(__('The category has been successfully updated.'));
+
+			http::redirect('category.php?id='.$_POST['id']);
 		}
 		# Create category
@@ -145,5 +149,7 @@
 			$core->callBehavior('adminAfterCategoryCreate',$cur,$id);
 			
-			http::redirect('categories.php?add=1');
+			dcPage::addSuccessNotice(sprintf(__('The category "%s" has been successfully created.'),
+				html::escapeHTML($cur->cat_title)));
+			http::redirect('categories.php');
 		}
 	}
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 1949)
+++ admin/install/index.php	(revision 2183)
@@ -146,5 +146,9 @@
 		$blog_settings->system->put('public_url',$root_url.'/public');
 		$blog_settings->system->put('themes_url',$root_url.'/themes');
-		$blog_settings->system->put('date_format',__('%A, %B %e %Y'));
+		$formatDate = __('%A, %B %e %Y');
+		if (strtoupper(substr(PHP_OS, 0, 3)) == 'WIN') {
+		    $formatDate = preg_replace('#(?<!%)((?:%%)*)%e#', '\1%#d', $formatDate);
+		}
+		$blog_settings->system->put('date_format', $formatDate);
 		
 		# Add Dotclear version
Index: admin/js/_categories.js
===================================================================
--- admin/js/_categories.js	(revision 1953)
+++ admin/js/_categories.js	(revision 2190)
@@ -15,5 +15,5 @@
 
 	$('input[name^="delete"]').click(function() {
-		return window.confirm(dotclear.msg.confirm_delete_category.replace('%s',$(this).parent().find('label a').text()));
+		return window.confirm(dotclear.msg.confirm_delete_category.replace('%s',$(this).parents('li').first().find('.cat-title label a').text()));
 	});
 
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 2101)
+++ admin/js/common.js	(revision 2187)
@@ -89,9 +89,9 @@
 			$(i).get(0).src = p.img_on_src;
 			$(i).get(0).alt = p.img_on_alt;
-			target.hide(speed);
+			target.addClass('hide');
 		} else {
 			$(i).get(0).src = p.img_off_src;
 			$(i).get(0).alt = p.img_off_alt;
-			target.show(speed);
+			target.removeClass('hide');
 			if (p.fn) {
 				p.fn.apply(target);
Index: admin/js/jquery/jquery.pageTabs.js
===================================================================
--- admin/js/jquery/jquery.pageTabs.js	(revision 2162)
+++ admin/js/jquery/jquery.pageTabs.js	(revision 2186)
@@ -16,5 +16,5 @@
 
 		if (hash !== undefined && hash) {
-			$('ul li a[href$="#'+hash+'"]').parent().trigger('click');
+			window.scrollTo(0,0);
 			active_tab = hash;
 		} else if (active_tab == '') { // open first part
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2166)
+++ admin/post.php	(revision 2181)
@@ -298,6 +298,6 @@
 			# --BEHAVIOR-- adminAfterPostUpdate
 			$core->callBehavior('adminAfterPostUpdate',$cur,$post_id);
-			
-			http::redirect('post.php?id='.$post_id.'&upd=1');
+			dcPage::addSuccessNotice (sprintf('The post "%s" has been successfully updated',html::escapeHTML($cur->post_title)));
+			http::redirect('post.php?id='.$post_id);
 		}
 		catch (Exception $e)