Index: locales/fr/help/core_blog_theme.html
===================================================================
--- locales/fr/help/core_blog_theme.html	(revision 2314)
+++ locales/fr/help/core_blog_theme.html	(revision 2314)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Apparence du blog</title>
+</head>
+
+<body>
+
+<h4>Apparence du blog</h4>
+
+</body>
+</html>
Index: locales/fr/help/core_dashboard.html
===================================================================
--- locales/fr/help/core_dashboard.html	(revision 2314)
+++ locales/fr/help/core_dashboard.html	(revision 2314)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Tableau de bord</title>
+</head>
+
+<body>
+
+<h4>Tableau de bord</h4>
+
+</body>
+</html>
Index: locales/fr/help/core_langs.html
===================================================================
--- locales/fr/help/core_langs.html	(revision 2314)
+++ locales/fr/help/core_langs.html	(revision 2314)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Langues</title>
+</head>
+
+<body>
+
+<h4>Langues</h4>
+
+</body>
+</html>
Index: locales/fr/help/core_plugins.html
===================================================================
--- locales/fr/help/core_plugins.html	(revision 2314)
+++ locales/fr/help/core_plugins.html	(revision 2314)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Plugins</title>
+</head>
+
+<body>
+
+<h4>Plugins</h4>
+
+</body>
+</html>
Index: locales/fr/help/core_search.html
===================================================================
--- locales/fr/help/core_search.html	(revision 2314)
+++ locales/fr/help/core_search.html	(revision 2314)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Recherche</title>
+</head>
+
+<body>
+
+<h4>Recherche</h4>
+
+</body>
+</html>
Index: locales/fr/help/core_update.html
===================================================================
--- locales/fr/help/core_update.html	(revision 2314)
+++ locales/fr/help/core_update.html	(revision 2314)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Mise à jour</title>
+</head>
+
+<body>
+
+<h4>Mise à jour</h4>
+
+</body>
+</html>
Index: locales/fr/help/core_users.html
===================================================================
--- locales/fr/help/core_users.html	(revision 2314)
+++ locales/fr/help/core_users.html	(revision 2314)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Utilisateurs</title>
+</head>
+
+<body>
+
+<h4>Utilisateurs</h4>
+
+</body>
+</html>
Index: locales/fr/help/index.html
===================================================================
--- locales/fr/help/index.html	(revision 2402)
+++ locales/fr/help/index.html	(revision 2406)
@@ -212,6 +212,9 @@
 		</div>
 	</div>
-	<div class="multi-part" id="a11y-ergo" title="Accessibilité et ergonomie">
+	<div class="multi-part legible" id="a11y-ergo" title="Accessibilité et ergonomie">
 	<h3>Accessibilité et ergonomie</h3>
+	<p>L'interface de Dotclear répond à la quasi totalité des critères <a href="http://www.w3.org/Translations/WCAG20-fr/">WCAG 2.0</a> ; un reporting précis sera prochainement publié sur le <a href="http://fr.dotclear.org/blog/">blog du projet</a>. À terme nous aimerions également répondre pleinement aux critères <a href="http://www.w3.org/TR/ATAG20/">ATAG 2.0</a>.</p>
+	<p>L'accessibilité et l'ergonomie sont au cœur des préoccupations de l'équipe Dotclear. Nous menons régulièrement des analyses avec l'aide d'experts et procédons continuellement à des correctifs et améliorations.</p>
+	<p>Vous pouvez nous aider dans cette tâche en ouvrant des <a href="http://dev.dotclear.org/2.0/report">tickets</a> ou en participant au <a href="http://forum.dotclear.org/">forum</a> pour nous faire part des difficultés que vous rencontrez pour utiliser l'interface. Vous pouvez également y proposer de participer à des tests utilisateurs ou de rejoindre notre équipe.</p>
 	</div>
 
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 2404)
+++ locales/fr/main.po	(revision 2406)
@@ -11,5 +11,5 @@
 "Project-Id-Version: Dotclear\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-10-05 19:46+0200\n"
+"POT-Creation-Date: 2013-10-08 07:23+0000\n"
 "PO-Revision-Date: 2012-08-13 07:13+0000\n"
 "Last-Translator: xave <xave@dotclear.net>\n"
@@ -64,4 +64,7 @@
 msgstr "Le mode sans échec ne peut être utilisé que par un super administrateur."
 
+msgid "Insufficient permissions"
+msgstr "Permissions insuffisantes"
+
 msgid "Wrong username or password"
 msgstr "Nom d'utilisateur ou mot de passe incorrect"
@@ -414,5 +417,5 @@
 
 msgid "Include sub-categories in category page and category posts feed"
-msgstr ""
+msgstr "Inlure les sous-catégories dans la page des catégories et dans les flux de billets pour une catégorie"
 
 msgid "Media and images"
@@ -488,5 +491,5 @@
 #, php-format
 msgid "[%s] (unreferenced permission)"
-msgstr ""
+msgstr "[%s] (permission non référencée)"
 
 msgid "All rights on this blog."
@@ -511,10 +514,10 @@
 msgid "There is one theme to update available from repository."
 msgid_plural "There are %s themes to update available from repository."
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Il y a un thème à mettre à jour depuis le dépôt."
+msgstr[1] "Il y a %s thème à mettre à jour depuis le dépôt."
 
 #, php-format
 msgid "Visit %s repository, the resources center for Dotclear."
-msgstr ""
+msgstr "Visitez le dépôt %s, le centre de ressources pour Dotclear"
 
 msgid "Installed themes"
@@ -522,5 +525,5 @@
 
 msgid "You can configure and manage installed themes from this list."
-msgstr ""
+msgstr "Vous pouvez configurer et gérer les thèmes de cette liste."
 
 msgid "Deactivated themes"
@@ -528,5 +531,5 @@
 
 msgid "Deactivated themes are installed but not usable. You can activate them from here."
-msgstr ""
+msgstr "Les thèmes désactivés sont installés mais non utilisables. Vous pouvez les activer depuis cette page."
 
 msgid "Add themes"
@@ -534,8 +537,5 @@
 
 msgid "Add themes from repository"
-msgstr ""
-
-msgid "Search and install themes directly from repository."
-msgstr ""
+msgstr "Ajouter des thèmes depuis le dépôt"
 
 msgid "Install or upgrade manually"
@@ -543,5 +543,5 @@
 
 msgid "Add themes from a package"
-msgstr ""
+msgstr "Ajouter des thèmes depuis un package"
 
 msgid "You can install themes by uploading or downloading zip files."
@@ -606,12 +606,15 @@
 
 msgid "No blog matches the filter"
-msgstr ""
+msgstr "Aucun blog correspondant au filtre"
 
 msgid "No blog"
 msgstr "Pas de blog"
 
-#, php-format
-msgid "List of %s blogs match the filter."
-msgstr ""
+# php-format
+#, php-format
+msgid "%d blog matches the filter."
+msgid_plural "%d blogs match the filter."
+msgstr[0] "%d blog correspondant au filtre"
+msgstr[1] "%d blogs correspondant au filtre"
 
 msgid "Blogs list"
@@ -959,5 +962,5 @@
 
 msgid "Errors have occured with following plugins:"
-msgstr ""
+msgstr "Des erreurs se sont produites avec les plugins suivants :"
 
 msgid "Quick entry"
@@ -1643,6 +1646,6 @@
 msgid "There is one plugin to update available from repository."
 msgid_plural "There are %s plugins to update available from repository."
-msgstr[0] ""
-msgstr[1] ""
+msgstr[0] "Il y a un plugin à mettre à jour depuis le dépôt"
+msgstr[1] "Il y a %s plugins à mettre à jour depuis le dépôt"
 
 msgid "Installed plugins"
@@ -1653,5 +1656,5 @@
 
 msgid "You can configure and manage installed plugins from this list."
-msgstr ""
+msgstr "Vous pouvez configurer et gérer les plugins installés depuis cette liste."
 
 msgid "Deactivated plugins"
@@ -1659,5 +1662,5 @@
 
 msgid "Deactivated plugins are installed but not usable. You can activate them from here."
-msgstr ""
+msgstr "Les plugins désactivés sont installés mais non utilisables. Vous pouvez les activer depuis cette page."
 
 msgid "Add plugins"
@@ -1665,11 +1668,8 @@
 
 msgid "Add plugins from repository"
-msgstr ""
-
-msgid "Search and install plugins directly from repository."
-msgstr ""
+msgstr "Ajouter des plugins depuis le dépôt"
 
 msgid "Add plugins from a package"
-msgstr ""
+msgstr "Ajouter des plugins depuis un package"
 
 msgid "You can install plugins by uploading or downloading zip files."
@@ -1904,4 +1904,10 @@
 msgid "Not selected"
 msgstr "Non sélectionné"
+
+msgid "Number of comments"
+msgstr "Nombre de commentaires"
+
+msgid "Number of trackbacks"
+msgstr "Nombre de rétroliens"
 
 msgid "Selected entries have been successfully updated."
@@ -2447,4 +2453,7 @@
 msgstr "Aller à la recherche"
 
+msgid "Go to help"
+msgstr "Aller à l'aide"
+
 msgid "Go to site"
 msgstr "Aller sur le site"
@@ -2472,33 +2481,33 @@
 msgstr "[%H:%M:%S]"
 
+#, php-format
+msgid "Thank you for using %s."
+msgstr "Merci d'utiliser %s."
+
+msgid "Go to dashboard"
+msgstr "Tableau de bord"
+
+msgid "Help about this page"
+msgstr "Aide pour cette page"
+
+#, php-format
+msgid "See also %s"
+msgstr "Voir également %s"
+
+msgid "the global help"
+msgstr "l'aide générale"
+
+msgid "uncover"
+msgstr "dévoiler"
+
+msgid "hide"
+msgstr "cacher"
+
+msgid "Need help?"
+msgstr "Besoin d'aide ?"
+
 msgid "new window"
 msgstr "nouvelle fenêtre"
 
-#, php-format
-msgid "Thank you for using %s."
-msgstr "Merci d'utiliser %s."
-
-msgid "Go to dashboard"
-msgstr "Tableau de bord"
-
-msgid "Help about this page"
-msgstr "Aide pour cette page"
-
-#, php-format
-msgid "See also %s"
-msgstr "Voir également %s"
-
-msgid "the global help"
-msgstr "l'aide générale"
-
-msgid "uncover"
-msgstr "dévoiler"
-
-msgid "hide"
-msgstr "cacher"
-
-msgid "Need help?"
-msgstr "Besoin d'aide ?"
-
 msgid "Hide"
 msgstr "Cacher"
@@ -2621,5 +2630,5 @@
 
 msgid "Support"
-msgstr ""
+msgstr "Assistance"
 
 msgid "Help:"
@@ -2630,5 +2639,5 @@
 
 msgid "Tags:"
-msgstr ""
+msgstr "Mots-clés:"
 
 msgid "You have unsaved changes."
@@ -2766,5 +2775,5 @@
 
 msgid "other"
-msgstr ""
+msgstr "autres"
 
 msgid "Search in repository:"
@@ -2773,4 +2782,7 @@
 msgid "Reset search"
 msgstr "réinitialiser la recherche"
+
+msgid "Search is allowed on multiple terms longer than 2 chars, terms must be separated by space."
+msgstr "La recherche est autorisée sur plusieurs mots de 2 caractères minimum, séparés par un espace."
 
 #, php-format
@@ -2830,5 +2842,5 @@
 
 msgid "Install"
-msgstr "Installation"
+msgstr "Installer"
 
 msgid "Update"
@@ -2879,16 +2891,16 @@
 #, php-format
 msgid "Configure plugin \"%s\""
-msgstr ""
+msgstr "Configurer le plugin \"%s\""
 
 msgid "Back"
-msgstr ""
+msgstr "Retour"
 
 #, php-format
 msgid "Score: %s"
-msgstr ""
+msgstr "Score: %s"
 
 #, php-format
 msgid "%s screenshot."
-msgstr ""
+msgstr "Capture d'écran de %s."
 
 #, php-format
@@ -3001,5 +3013,5 @@
 
 msgid "No user matches the filter"
-msgstr ""
+msgstr "Aucun utilisateur correspondant au filtre"
 
 msgid "No user"
@@ -3008,5 +3020,5 @@
 #, php-format
 msgid "List of %s users match the filter."
-msgstr ""
+msgstr "%s utilisateurs correspondent au filtre."
 
 msgid "Users list"
@@ -3034,15 +3046,15 @@
 msgstr "Plugins"
 
-msgid "moyenne"
-msgstr ""
-
-msgid "petite"
-msgstr ""
-
-msgid "vignettes"
-msgstr ""
-
-msgid "carrée"
-msgstr ""
+msgid "medium"
+msgstr "moyenne"
+
+msgid "small"
+msgstr "petite"
+
+msgid "thumbnail"
+msgstr "vignettes"
+
+msgid "square"
+msgstr "carrée"
 
 msgid "Posts"
@@ -3052,59 +3064,21 @@
 msgstr "Pages"
 
-msgid "Nouveau billet"
-msgstr ""
-
-msgid "Billets"
-msgstr ""
-
-msgid "Commentaires"
-msgstr "Commentaires"
-
-msgid "Gestionnaire de médias"
-msgstr ""
+msgid "Antispam"
+msgstr "Antispam"
+
+msgid "Import/Export"
+msgstr "Import/Export"
+
+msgid "Blogroll"
+msgstr "Liste de liens"
+
+msgid "Maintenance"
+msgstr "Maintenance"
+
+msgid "Simple menu"
+msgstr "Menu simple sur Dotclear"
 
 msgid "Tags"
-msgstr ""
-
-msgid "Import/Export"
-msgstr ""
-
-msgid "Apparence du blog"
-msgstr ""
-
-msgid "Presentation widgets"
-msgstr ""
-
-msgid "Installateur DotAddict.org"
-msgstr ""
-
-msgid "Maintenance"
-msgstr ""
-
-#, fuzzy
-msgid "System info"
-msgstr "Informations système"
-
-#, fuzzy
-msgid "Tidy Administration"
-msgstr "administrateur"
-
-#, fuzzy
-msgid "Series"
-msgstr "Catégories"
-
-msgid "pacKman"
-msgstr ""
-
-#, fuzzy
-msgid "Categories orders"
-msgstr "Enregistrer l'ordre des catégories"
-
-#, fuzzy
-msgid "Discrete category"
-msgstr "Supprimer la catégorie"
-
-msgid "Typographic replacements"
-msgstr ""
+msgstr "Mots-clés"
 
 msgid "administrator"
@@ -3288,9 +3262,9 @@
 #, php-format
 msgid "Module \"%s\" has type \"%s\" that mismatch required module type \"%s\"."
-msgstr ""
+msgstr "Le module \"%s\" est de type \"%s\" incompatible avec \"%s\"."
 
 #, php-format
 msgid "Module \"%s\" is installed twice in \"%s\" and \"%s\"."
-msgstr ""
+msgstr "Le module \"%s\" est installé en double dans \"%s\" et \"%s\"."
 
 msgid "Empty module zip file."
@@ -3374,5 +3348,5 @@
 
 msgid "Oops. Kinda \"not found\" stuff. Please check the target URL twice."
-msgstr ""
+msgstr "Oops, non trouvé. Vérifiez à nouveau l'URL cible."
 
 msgid "Sorry, dude. This entry does not accept pingback at the moment."
@@ -3547,9 +3521,4 @@
 msgstr "Mémoire insuffisante pour ouvrir l'image."
 
-msgid "singular"
-msgid_plural "plural"
-msgstr[0] ""
-msgstr[1] ""
-
 #, php-format
 msgid "File %s is not compressed in the zip."
@@ -3597,15 +3566,46 @@
 msgstr "L'erreur suivante a été rencontrée lors de la tentative d'accès à la base de données :"
 
-#~ msgid "medium"
-#~ msgstr "moyenne"
-
-#~ msgid "small"
-#~ msgstr "petite"
-
-#~ msgid "thumbnail"
-#~ msgstr "vignettes"
-
-#~ msgid "square"
-#~ msgstr "carrée"
+msgid "Attachments:"
+msgstr "Annexes :"
+
+msgid "With attachments"
+msgstr "Avec annexe(s)"
+
+msgid "Without attachments"
+msgstr "Sans annexes"
+
+#~ msgid "New page"
+#~ msgstr "Nouvelle page"
+
+#~ msgid "Presentation widgets"
+#~ msgstr "Widgets de présentation"
+
+#~ msgid "Users actions"
+#~ msgstr "Actions sur les utilisateurs"
+
+#~ msgid "No User selected"
+#~ msgstr "Aucun utilisateur sélectionné"
+
+#~ msgid "(no cat)"
+#~ msgstr "(aucune)"
+
+#~ msgid "Commentaires"
+#~ msgstr "Commentaires"
+
+#, fuzzy
+#~ msgid "System info"
+#~ msgstr "Informations système"
+
+#, fuzzy
+#~ msgid "Tidy Administration"
+#~ msgstr "administrateur"
+
+#, fuzzy
+#~ msgid "Categories orders"
+#~ msgstr "Enregistrer l'ordre des catégories"
+
+#, fuzzy
+#~ msgid "Discrete category"
+#~ msgstr "Supprimer la catégorie"
 
 #~ msgid "Current theme has been successfully changed to \"%s\"."
@@ -3713,19 +3713,4 @@
 #~ msgid "Download plugin"
 #~ msgstr "Télécharger le plugin"
-
-#~ msgid "Users actions"
-#~ msgstr "Actions sur les utilisateurs"
-
-#~ msgid "No User selected"
-#~ msgstr "Aucun utilisateur sélectionné"
-
-#~ msgid "(no cat)"
-#~ msgstr "(aucune)"
-
-#~ msgid "Blogroll"
-#~ msgstr "Liste de liens"
-
-#~ msgid "Simple menu"
-#~ msgstr "Menu simple sur Dotclear"
 
 #~ msgid "Manage post attachments"
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 2404)
+++ locales/fr/plugins.po	(revision 2406)
@@ -11,5 +11,5 @@
 "Project-Id-Version: Dotclear\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-10-05 19:46+0200\n"
+"POT-Creation-Date: 2013-10-08 07:23+0000\n"
 "PO-Revision-Date: 2012-11-06 10:04+0100\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
@@ -165,7 +165,4 @@
 msgstr "Obtenez votre propre clé API"
 
-msgid "Antispam"
-msgstr "Antispam"
-
 #, php-format
 msgid "All spam comments older than %s day(s) will be automatically deleted."
@@ -392,7 +389,4 @@
 msgstr "Ajouter des fichiers à la page"
 
-msgid "Blogroll"
-msgstr "Liste des liens"
-
 msgid "manage blogroll"
 msgstr "Gestion de la liste des liens"
@@ -615,5 +609,5 @@
 
 msgid "Back to Blog appearance"
-msgstr ""
+msgstr "Retour à l'apparence du blog"
 
 msgid "For the following reasons, images cannot be created. You won't be able to change some background properties."
@@ -1174,5 +1168,5 @@
 
 msgid "Set up reminders for maintenance tasks."
-msgstr ""
+msgstr "Définir les rappels pour les tâches de maintenance."
 
 msgid "Activation"
@@ -1356,7 +1350,4 @@
 msgstr "Ma première page"
 
-msgid "<p>"
-msgstr ""
-
 msgid "This is your first page. When you're ready to blog, log in to edit or delete it."
 msgstr "Ceci est votre première page. Quand vous serez prêt à bloguer, connectez-vous pour l'éditer ou la supprimer."
@@ -1481,7 +1472,4 @@
 msgid "Check all"
 msgstr "Tout sélectionner"
-
-msgid "Simple menu"
-msgstr "Menu simple"
 
 msgid "All months"
@@ -1800,4 +1788,7 @@
 msgstr "Préférences globales"
 
+msgid "Presentation widgets"
+msgstr "Widgets de présentation"
+
 msgid "Search engine"
 msgstr "Moteur de recherche"
@@ -1819,5 +1810,5 @@
 
 msgid "Include sub cats in count"
-msgstr ""
+msgstr "Inclure les sous-catégories dans les compteurs"
 
 msgid "Include empty categories"
@@ -1878,11 +1869,11 @@
 
 msgid "navigation"
-msgstr "navigation"
+msgstr "Volet de navigation"
 
 msgid "extra"
-msgstr "extra"
+msgstr "Volet d'extra"
 
 msgid "custom"
-msgstr "supplémentaire"
+msgstr "Volet supplémentaire"
 
 msgid "empty string"
@@ -1988,4 +1979,22 @@
 msgstr "Glisser les widgets ici pour les retirer."
 
+#~ msgid "Antispam"
+#~ msgstr "Antispam"
+
+#~ msgid "Blogroll"
+#~ msgstr "Liste des liens"
+
+#~ msgid "Import/Export"
+#~ msgstr "Import/Export"
+
+#~ msgid "Maintenance"
+#~ msgstr "Maintenance"
+
+#~ msgid "Tags"
+#~ msgstr "Mots-clés"
+
+#~ msgid "Simple menu"
+#~ msgstr "Menu simple"
+
 #~ msgid "Updates are available"
 #~ msgstr "Des mises à jour sont disponibles"
@@ -2033,10 +2042,4 @@
 #~ msgstr "Thèmes disponibles (%s)"
 
-#~ msgid "Import/Export"
-#~ msgstr "Import/Export"
-
-#~ msgid "Maintenance"
-#~ msgstr "Maintenance"
-
 #~ msgid "Back"
 #~ msgstr "Retour"
@@ -2048,10 +2051,4 @@
 #~ msgstr "Enregistrer ces réglages"
 
-#~ msgid "Tags"
-#~ msgstr "Mots-clés"
-
-#~ msgid "Presentation widgets"
-#~ msgstr "Widgets de présentation"
-
 #~ msgid "Pages"
 #~ msgstr "Pages"