Index: plugins/antispam/locales/fr/help/help.html
===================================================================
--- plugins/antispam/locales/fr/help/help.html	(revision 2472)
+++ plugins/antispam/locales/fr/help/help.html	(revision 2533)
@@ -15,14 +15,14 @@
 	<dd>Cliquer sur &#171; Commentaires publiés &#187; renvoie vers la liste de tous les commentaires publiés.</dd>
 	<dd>Le bouton &#171; Supprimer tous les indésirables &#187; permet de supprimer tous les commentaires indésirables d'un seul coup.</dd>
-	
+
 	<dt>Filtres d'indésirables disponibles</dt>
-	<dd>Par défaut, Dotclear est livré avec six filtres dont deux désactivés. Vous pouvez en rajouter d'autres par la suite.</dd> 
-	<dd>Ordre : Les filtres sont appliqués à partir du premier en partant du haut. Vous pouvez changer l'ordre des filtres. 
+	<dd>Par défaut, Dotclear est livré avec six filtres dont deux désactivés. Vous pouvez en rajouter d'autres par la suite.</dd>
+	<dd>Ordre : Les filtres sont appliqués à partir du premier en partant du haut. Vous pouvez changer l'ordre des filtres.
 	Certains des filtres par défaut (IP Lookup, Links Lookup et Akismet) ont besoin du réseau ce qui peut-être un peu long. Il est conseillé de les laisser en fin de liste.
-	De même, le filtre IP Filter pouvant décider qu'un message n'est pas un spam, laissez le toujours en deuxième position.</dd>
+	De même, le filtre IP Filter pouvant décider qu'un message n'est pas un spam, laissez le toujours en début de liste.</dd>
 	<dd>Actif : Cocher ou décocher la case pour activer ou désactiver le filtre.</dd>
 	<dd>Auto suppr. : Si la case est cochée, les commentaires considérés comme indésirables par le filtre seront automatiquement et définitivement supprimés sans possibilité de repêcher les faux positifs.</dd>
-	<dd>Configuration du filtre : Certains filtres peuvent et même doivent, dans certains cas, être configuré pour être efficace. Cliquer sur l'icône pour accéder à la page de configuration du filtre.</dd> 
-</dl>	
+	<dd>Configuration du filtre : Certains filtres peuvent et même doivent, dans certains cas, être configuré pour être efficace. Cliquer sur l'icône pour accéder à la page de configuration du filtre.</dd>
+</dl>
 	</body>
 
Index: plugins/antispam/locales/fr/help/ip.html
===================================================================
--- plugins/antispam/locales/fr/help/ip.html	(revision 2458)
+++ plugins/antispam/locales/fr/help/ip.html	(revision 2533)
@@ -12,5 +12,5 @@
 <p>Pour ajouter une adresse IP, choisissez d'abord un onglet "Liste noire" ou "Liste blanche" et ajoutez l'adresse. La case à cocher "IP globale" est disponible si vous êtes super administrateur et permet d'ajouter une adresse pour tous les blogs de votre installation.</p>
 
-<p>Vous pouvez ajouter des adresses IP avec masque de réseau pour bloquer ou autoriser toute une série d'adresses. Par exemple :<p>
+<p>Vous pouvez ajouter des adresses IP avec masque de réseau pour bloquer ou autoriser toute une série d'adresses. Par exemple :</p>
 <ul>
     <li>127.0.0.0/255.0.0.0 ou la forme abrégée 127/8 reconnaitra toutes les adresses IP de type 127.xxx.xxx.xxx</li>
Index: plugins/antispam/locales/fr/help/words.html
===================================================================
--- plugins/antispam/locales/fr/help/words.html	(revision 2472)
+++ plugins/antispam/locales/fr/help/words.html	(revision 2533)
@@ -12,10 +12,11 @@
 <dl>
 <dt>Ajouter un mot</dt>
-	<dd>Comme pour le filtrage d'adresses IP, ajoutez simplement le mot que vous souhaitez bloquer dans la liste. De la même manière, vous pouvez, si vous avez les permissions suffisantes, définir des mots globaux qui activeront le filtrage pour tous les blogs de votre installation.</dd> 
+	<dd>Comme pour le filtrage d'adresses IP, ajoutez simplement le mot que vous souhaitez bloquer dans la liste. De la même manière, vous pouvez, si vous avez les permissions suffisantes, définir des mots globaux qui activeront le filtrage pour tous les blogs de votre installation.</dd>
 	<dd>Astuce : Vous pouvez ajouter une expression rationnelle à votre liste de mots en faisant commencer et finir votre mot par "/". Par exemple "/foo/" filtrera tous les mots contenant "foo".</dd>
 <dt>Liste de mots interdits</dt>
 	<dd>Liste des mots qui font que le commentaire est considéré comme un indésirable.</dd>
 	<dd>Sélectionner le(s) mot(s) pour le supprimer de la liste.</dd>
-<dt>Créer une liste de mots par défaut</dt>  
+<dt>Créer une liste de mots par défaut</dt>
+	<dd>Ce bouton vous permet de rajouter à la liste actuelle les mots par défaut proposés par ce filtre. Vos mots personnels ne seront pas supprimés par cette opération.</dd>
 </dl>
 </body>