Index: locales/_pot/main.pot
===================================================================
--- locales/_pot/main.pot	(revision 1039)
+++ locales/_pot/main.pot	(revision 1425)
@@ -1091,5 +1091,5 @@
 
 #: admin/comments.php:214
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr ""
 
Index: locales/bn/main.po
===================================================================
--- locales/bn/main.po	(revision 1039)
+++ locales/bn/main.po	(revision 1425)
@@ -759,5 +759,5 @@
 msgstr "মন্তব্যের লেখক:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "আপনার একটি স্প্যাম মন্তব্য আছে।"
 
Index: locales/ca/main.po
===================================================================
--- locales/ca/main.po	(revision 1039)
+++ locales/ca/main.po	(revision 1425)
@@ -787,5 +787,5 @@
 msgstr "Autor del comentari:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Te un comentari no desitjat."
 
Index: locales/cs/main.po
===================================================================
--- locales/cs/main.po	(revision 1039)
+++ locales/cs/main.po	(revision 1425)
@@ -764,5 +764,5 @@
 msgstr "Autor komentáře:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Máte jeden spam komentář."
 
Index: locales/da/main.po
===================================================================
--- locales/da/main.po	(revision 1039)
+++ locales/da/main.po	(revision 1425)
@@ -765,5 +765,5 @@
 msgstr "Kommentar ejer:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Du har en spam kommentar."
 
Index: locales/de/main.po
===================================================================
--- locales/de/main.po	(revision 1039)
+++ locales/de/main.po	(revision 1425)
@@ -763,5 +763,5 @@
 msgstr "Autor des Kommentars"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Du hast Spam in deinen Kommentaren."
 
Index: locales/en/main.po
===================================================================
--- locales/en/main.po	(revision 1280)
+++ locales/en/main.po	(revision 1425)
@@ -753,5 +753,5 @@
 msgstr ""
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr ""
 
Index: locales/eo/main.po
===================================================================
--- locales/eo/main.po	(revision 1039)
+++ locales/eo/main.po	(revision 1425)
@@ -750,5 +750,5 @@
 msgstr ""
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr ""
 
Index: locales/es-ar/main.po
===================================================================
--- locales/es-ar/main.po	(revision 1039)
+++ locales/es-ar/main.po	(revision 1425)
@@ -767,5 +767,5 @@
 msgstr "Autor del comentario:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Tiene un comentario no deseado."
 
Index: locales/es/main.po
===================================================================
--- locales/es/main.po	(revision 1039)
+++ locales/es/main.po	(revision 1425)
@@ -769,5 +769,5 @@
 msgstr "Autor del comentario:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Tiene un comentario no deseado."
 
Index: locales/eu/main.po
===================================================================
--- locales/eu/main.po	(revision 1039)
+++ locales/eu/main.po	(revision 1425)
@@ -750,5 +750,5 @@
 msgstr ""
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr ""
 
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 1420)
+++ locales/fr/main.po	(revision 1425)
@@ -793,5 +793,5 @@
 msgstr "Auteur du commentaire :"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Vous avez un commentaire indésirable."
 
Index: locales/hu/main.po
===================================================================
--- locales/hu/main.po	(revision 1039)
+++ locales/hu/main.po	(revision 1425)
@@ -787,5 +787,5 @@
 msgstr "Megjegyzés szerzője:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Van egy spam megjegyzésed."
 
Index: locales/it/main.po
===================================================================
--- locales/it/main.po	(revision 1039)
+++ locales/it/main.po	(revision 1425)
@@ -763,5 +763,5 @@
 msgstr "Autore del commento:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "È presente un commento di spam."
 
Index: locales/ja/main.po
===================================================================
--- locales/ja/main.po	(revision 1039)
+++ locales/ja/main.po	(revision 1425)
@@ -772,5 +772,5 @@
 msgstr "コメントの投稿者："
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "1 のスパムコメントがあります。"
 
Index: locales/ko/main.po
===================================================================
--- locales/ko/main.po	(revision 1039)
+++ locales/ko/main.po	(revision 1425)
@@ -771,5 +771,5 @@
 msgstr "댓글 글쓴이 :"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "스팸댓글이 하나 있습니다."
 
Index: locales/lt/main.po
===================================================================
--- locales/lt/main.po	(revision 1039)
+++ locales/lt/main.po	(revision 1425)
@@ -742,5 +742,5 @@
 msgstr "Komentaro autorius:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Turite vieną spamo komentarą."
 
Index: locales/nl/main.po
===================================================================
--- locales/nl/main.po	(revision 1039)
+++ locales/nl/main.po	(revision 1425)
@@ -753,5 +753,5 @@
 msgstr ""
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr ""
 
Index: locales/oc/main.po
===================================================================
--- locales/oc/main.po	(revision 1039)
+++ locales/oc/main.po	(revision 1425)
@@ -757,5 +757,5 @@
 msgstr ""
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr ""
 
Index: locales/pl/main.po
===================================================================
--- locales/pl/main.po	(revision 1039)
+++ locales/pl/main.po	(revision 1425)
@@ -760,5 +760,5 @@
 msgstr "Autor komentarza:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Masz jeden komentarz oznaczony jako spam."
 
Index: locales/pt-br/main.po
===================================================================
--- locales/pt-br/main.po	(revision 1039)
+++ locales/pt-br/main.po	(revision 1425)
@@ -790,5 +790,5 @@
 msgstr "Autor do comentário:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Você tem um comentário indesejável."
 
Index: locales/pt/main.po
===================================================================
--- locales/pt/main.po	(revision 1039)
+++ locales/pt/main.po	(revision 1425)
@@ -768,5 +768,5 @@
 msgstr "Autor do comentário:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Tem um comentário de \"spam\""
 
Index: locales/ro/main.po
===================================================================
--- locales/ro/main.po	(revision 1039)
+++ locales/ro/main.po	(revision 1425)
@@ -752,5 +752,5 @@
 msgstr ""
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr ""
 
Index: locales/ru/main.po
===================================================================
--- locales/ru/main.po	(revision 1039)
+++ locales/ru/main.po	(revision 1425)
@@ -767,5 +767,5 @@
 msgstr "Автор комментария:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "У вас один спам комментарий."
 
Index: locales/sr/main.po
===================================================================
--- locales/sr/main.po	(revision 1039)
+++ locales/sr/main.po	(revision 1425)
@@ -778,5 +778,5 @@
 msgstr "Auteur du commentaire :"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "Vous avez un commentaire indésirable."
 
Index: locales/sv/main.po
===================================================================
--- locales/sv/main.po	(revision 1039)
+++ locales/sv/main.po	(revision 1425)
@@ -750,5 +750,5 @@
 msgstr ""
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr ""
 
Index: locales/te/main.po
===================================================================
--- locales/te/main.po	(revision 1039)
+++ locales/te/main.po	(revision 1425)
@@ -775,5 +775,5 @@
 msgstr "వ్యాఖ్యాత:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "ఒక చెత్త వ్యాఖ్య ఉంది."
 
Index: locales/tr/main.po
===================================================================
--- locales/tr/main.po	(revision 1039)
+++ locales/tr/main.po	(revision 1425)
@@ -761,5 +761,5 @@
 msgstr "Ahkamı yazan:"
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr ""
 
Index: locales/zh-cn/main.po
===================================================================
--- locales/zh-cn/main.po	(revision 1039)
+++ locales/zh-cn/main.po	(revision 1425)
@@ -765,5 +765,5 @@
 msgstr "评论作者："
 
-msgid "You have one spam comments."
+msgid "You have one spam comment."
 msgstr "您有一个垃圾评论。"
 